# Visualization
TKV3d
StdSelect

# StdSelect_ViewerSelector2d Class Reference

A viewer selection framework.
The objects defined in this framework can be passed to a selection manager.
.

`#include <StdSelect_ViewerSelector2d.hxx>`

Inheritance diagram for StdSelect_ViewerSelector2d:

[legend]

## Public Member Functions

Standard_EXPORT | StdSelect_ViewerSelector2d ()
| Constructs an empty viewer selection framework. .
Standard_EXPORT | StdSelect_ViewerSelector2d (const Handle(Select2D_Projector)&aProjector)
| Constructs the viewer selection framework defined by the projector aProjector. .
Standard_EXPORT void | Set (const Standard_Integer aSensitivity)
| Sets a pixel tolerance for the selection. will be converted for picking in a view. .
Standard_EXPORT void | Set (const Handle(Select2D_Projector)&aProjector)
| Sets the new projector aProjector. .
Standard_EXPORT void | Convert (const Handle(SelectMgr_Selection)&aSelection)
| to be redefined if conversion is necessary for SensitiveEntities...
Standard_EXPORT void | Pick (const Standard_Integer XPix, const Standard_Integer YPix, const Handle(V2d_View)&aView)
| Returns the pixel coordinates of the mouse Xpix, Ypix in the view aView. .
Standard_EXPORT void | Pick (const Standard_Integer XPMin, const Standard_Integer YPMin, const Standard_Integer XPMax, const Standard_Integer YPMax, const Handle(V2d_View)&aView)
| Returns the minimum and maximum pixel coordinates XPMin, YPMin and XPMax, YPMax defining a 2D area in the view aView. .
Handle_Select2D_Projector | Projector () const
| Returns the projector which defines this framework. .
Standard_EXPORT void | DisplayAreas (const Handle(V2d_View)&aView)
| Displays the active areas in the given view; .
Standard_EXPORT void | ClearAreas ()
| Clear the displayed sensitive areas from this framework.. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Select2D_Projector | myprj
Standard_Integer | mypixtol
Handle_Graphic2d_GraphicObject | mygo

## Constructor & Destructor Documentation

Standard_EXPORT StdSelect_ViewerSelector2d::StdSelect_ViewerSelector2d | ( |  | ) |

Standard_EXPORT StdSelect_ViewerSelector2d::StdSelect_ViewerSelector2d | ( | const Handle(Select2D_Projector)& | aProjector | ) |

## Member Function Documentation

Standard_EXPORT void StdSelect_ViewerSelector2d::ClearAreas | ( |  | ) |

Standard_EXPORT void StdSelect_ViewerSelector2d::Convert | ( | const Handle(SelectMgr_Selection)& | aSelection | ) | `[virtual]`

| Reimplemented from SelectMgr_ViewerSelector.

Standard_EXPORT void StdSelect_ViewerSelector2d::DisplayAreas | ( | const Handle(V2d_View)& | aView | ) |

Standard_EXPORT const StdSelect_ViewerSelector2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_ViewerSelector.

Standard_EXPORT void StdSelect_ViewerSelector2d::Pick | ( | const Standard_Integer | XPMin,
|  | const Standard_Integer | YPMin,
|  | const Standard_Integer | XPMax,
|  | const Standard_Integer | YPMax,
|  | const Handle(V2d_View)& | aView
| ) |

Standard_EXPORT void StdSelect_ViewerSelector2d::Pick | ( | const Standard_Integer | XPix,
|  | const Standard_Integer | YPix,
|  | const Handle(V2d_View)& | aView
| ) |

Handle_Select2D_Projector StdSelect_ViewerSelector2d::Projector | ( |  | ) | const

Standard_EXPORT void StdSelect_ViewerSelector2d::Set | ( | const Handle(Select2D_Projector)& | aProjector | ) |

Standard_EXPORT void StdSelect_ViewerSelector2d::Set | ( | const Standard_Integer | aSensitivity | ) |

## Field Documentation

Handle_Graphic2d_GraphicObject StdSelect_ViewerSelector2d::mygo `[private]`

Standard_Integer StdSelect_ViewerSelector2d::mypixtol `[private]`

Handle_Select2D_Projector StdSelect_ViewerSelector2d::myprj `[private]`

The documentation for this class was generated from the following file:

- StdSelect_ViewerSelector2d.hxx